import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

@Injectable()
export class HostUrlService {
  constructor( ) {}
  url: string;
  get hostUrl(): any {
      console.log('hostUrl:['+this.url+']');
      return this.url;
  }
  set hostUrl(hostUrl) {
 	 // let url= (<HTMLInputElement>document.getElementById("hostUrl")).value;  
  	 console.log('value of hostUrl in set this.HOSTurl',hostUrl);  
  	 this.url = hostUrl;
  	 console.log('value of hostUrl in set this.url',this.url);  
  }

}
